#!/bin/bash
clear
count=1

FILE=/tmp/frank
trap 'rm "$FILE"; echo "Removed $FILE ..."; exit' 2
date > "$FILE"

while (( count <= 10 ))
do
    echo "Process ID $$, loop count $count"
    echo "Loop count is $count." >> "$FILE"
    let count=count+1
    if (( count > 3 )); then
        trap '' INT	# Can use '2' or 'INT'
    fi
    sleep 5
done
rm "$FILE"
